Bug 38588 - (IDE VIA)Installer hangs during package upgrades from 6.2
(IDE VIA)Installer hangs during package upgrades from 6.2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-01 12:23 EDT by Ade Rixon
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ade Rixon 2001-05-01 12:23:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


Upgrading a 6.2 installation, installer hangs until system reset, 
whereupon root fs is corrupted. Symptoms match kernel 2.4.x problems with 
VIA (MVP3) chipsets mentioned in thread on linux-kernel:
http://www.uwsg.indiana.edu/hypermail/linux/kernel/0104.1/0881.html
(etc.)

Have yet to try with "ide-nodma" due to time-consuming nature of restoring 
from backup and sudden loss of enthusiasm for upgrading, but perhaps 
someone should post a warning for VIA users?

Reproducible: Always
Steps to Reproduce:
1.Upgrade system to 7.1
2.Enter package upgrade screen after beginning upgrade process.
3.Wait 5-10 mins.


Actual Results:  Hard hang, system reset, root fs corrupted to point of 
unusability. After second attempt, hung during LILO prompt at reboot.

Expected Results:  Upgrade completion.

lspci -v:
00:00.0 Host bridge: VIA Technologies, Inc. VT82C597 [Apollo VP3] (rev 04)
        Flags: bus master, medium devsel, latency 16
        Memory at e0000000 (32-bit, prefetchable)
        Capabilities: <available only to root>

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598 [Apollo MVP3 AGP] 
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: e4000000-e5ffffff
        Prefetchable memory behind bridge: e6000000-e6ffffff

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C586/A/B PCI-to-ISA [Apollo 
VP] (rev 47)
        Subsystem: VIA Technologies, Inc. MVP3 ISA Bridge
        Flags: bus master, stepping, medium devsel, latency 0

00:07.1 IDE interface: VIA Technologies, Inc. VT82C586 IDE [Apollo] (rev 
06) (prog-if 8a [Master SecP PriP])
        Flags: bus master, medium devsel, latency 32
        I/O ports at e000

00:07.2 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 02) 
(prog-if 00 [UHCI])
        Subsystem: Unknown device 0925:1234
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at e400

00:07.3 Host bridge: VIA Technologies, Inc. VT82C586B ACPI (rev 10)
        Flags: medium devsel

00:0a.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 06)
        Subsystem: Ensoniq: Unknown device 1371
        Flags: bus master, slow devsel, latency 32, IRQ 9
        I/O ports at e800
        Capabilities: <available only to root>

00:0b.0 SCSI storage controller: Adaptec AHA-7850 (rev 03)
        Subsystem: Adaptec: Unknown device 7850
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at ec00
        Memory at e7000000 (32-bit, non-prefetchable)
        Capabilities: <available only to root>

01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP 
(rev 7a) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 0084
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 9
        Memory at e6000000 (32-bit, prefetchable)
        I/O ports at d000
        Memory at e5000000 (32-bit, non-prefetchable)
        Capabilities: <available only to root>
Comment 1 Brent Fox 2001-05-01 16:39:50 EDT
Try the 'linux ide=nodma' option...see if that helps
Comment 2 Ade Rixon 2001-05-08 06:19:49 EDT
Booted install disk, entered "linux ide=nodma" at prompt and added "ide=nodma" 
to kernel options at config dialogue. Upgrade completed successfully, no 
evident disk corruption. Thanks.

Is there any more info about my system I can give to help you track the 
original problem down?
Comment 3 Brent Fox 2001-05-08 14:53:05 EDT
Yes.  There are problems with using dma transfers with some devices, so we're
making a list of these devices.  Can you send the exact make and model of your
cdrom according to what /proc says?  If you have an ide cdrom, it will be
something like 'cat /proc/ide/hdc/model'.  If it is SCSI, it will be something
like 'cat /proc/scsi/scsi'.  This will help us a lot.  Thanks for your report. 
I'm changing component to the kernel.


Arjan, this should be another drive for the list.
Comment 4 Arjan van de Ven 2001-05-08 16:14:27 EDT
Well, not exactly. Our kernel had a partial workaround for the VIA problems,
unfortionatly VIA only admitted and showed the real workaround when Red Hat
Linux 7.1 was already in the shops. It also looks like our patch fixes
almost all of the cases.

The official fix is in the kernel we recently put in the RawHide directory
on the ftp site and that kernel (well, a slightly updated one) will be made
available as official 7.1 update in the not-too-distant future.
Comment 5 Ade Rixon 2001-05-10 04:04:36 EDT
In case you still want it, here's a list of the IDE devices on my system:
hda: Maxtor 90845D4
hdb: SAMSUNG SV3064D
hdc: CR-4802TE
hdd: E-IDE CD-ROM CR-840S
(Note: hdc is a CD-Writer. Install attempted with same results on both CD 
drives.)

And the VIA IDE config:
----------VIA BusMastering IDE Configuration----------------
Driver Version:                     3.20
South Bridge:                       VIA vt82c586b
Revision:                           ISA 0x47 IDE 0x6
BM-DMA base:                        0xe000
PCI clock:                          33MHz
Master Read  Cycle IRDY:            1ws
Master Write Cycle IRDY:            1ws
BM IDE Status Register Read Retry:  yes
Max DRDY Pulse Width:               No limit
-----------------------Primary IDE-------Secondary IDE------
Read DMA FIFO flush:          yes                 yes
End Sector FIFO flush:         no                  no
Prefetch Buffer:              yes                 yes
Post Write Buffer:            yes                  no
Enabled:                      yes                 yes
Simplex only:                  no                  no
Cable Type:                   40w                 40w
-------------------drive0----drive1----drive2----drive3-----
Transfer Mode:       UDMA      UDMA       DMA      UDMA
Address Setup:       30ns      30ns      60ns      30ns
Cmd Active:          90ns      90ns      90ns      90ns
Cmd Recovery:        30ns      30ns      90ns      90ns
Data Active:         90ns      90ns      90ns      90ns
Data Recovery:       30ns      30ns      90ns      30ns
Cycle Time:          60ns      60ns     180ns      60ns
Transfer Rate:   33.0MB/s  33.0MB/s  11.0MB/s  33.0MB/s

Thanks for your efforts.
Comment 6 Arjan van de Ven 2001-05-10 04:40:46 EDT
Thanks for the information!
I've added the cdromdrive to the list of devices not to use DMA on.

I'll close this bug as "fixed in rawhide" as our next kernelbuild there will
have the drive added to the list. If you have more problems regarding DMA
and your cdrom-drives, please reopen this bug.
Comment 7 Ade Rixon 2001-11-12 05:26:39 EST
I'm reopening this bug because I've had a very similar problem upgrading to Red
Hat 7.2 (from 7.1); the installer hangs the system hard towards the end of a
1300Mb+ package update, using either CD-ROM drive. Again, restarting the upgrade
with "ide=nodma" allows the upgrade to complete.

All hardware details as before.
Comment 8 Josh Wyatt 2002-10-30 23:26:59 EST
I am seeing the same behavior on an MSI6340 ver 1 motherboard (VIA686A chipset)
with a Maxtor 91296D6 12gb disk.  I believe it is the same problem, although I
am performing new installs in my scenario.  I'm seeing the problem with both 7.3
and 8.0 installs, looks like this still isn't fixed, even in psyche.

Installing rh7.3 fails (IDE subsystem freezes) at "transferring install image to
hard drive" phase; it fails at different points depending on the memory
installed in the machine (64mb=freezes halfway; 128mb=freezes 3/4 way;
196mb=freezes 4/5 way). (Warning: those fractions are subjective to my visual
perception but generally accurate).

Only the IDE subsystem seemed frozen.  I could still switch vc's, etc. during
the IDE hang, although issuing any non-shell stuff from vc #2 would hang.

Issuing the 3-finger salute, the system will reboot, but the bios (award, latest
version from MSI) hangs at "Detecting IDE drives ..." - looks like the IDE
chipset is left in a foul state.  A full power cycle is necessary to bring it
back to life.

I should also add that this problem did not happen with a quantum fireball lct10
10gb disk.

Testing with rh8.0, same problem, except it freezes just after completing the
transfer of the image to hd.

The problem goes away on both 7.3 and 8.0 with ide=nodma appended on the
installer boot line.

During the rh8.0 install, cat /proc/ide/via reports Revision ISA 0x22  IDE 0x10.

Anything else I can provide, please let me know.

Thanks,
Josh

Comment 9 Bugzilla owner 2004-09-30 11:38:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.